Package ghidra.app.util.bin.format.pe.debug

# Class PrimitiveTypeListing

java.lang.Object
ghidra.app.util.bin.format.pe.debug.PrimitiveTypeListing

public class PrimitiveTypeListing extends Object
A class to convert from debug data types into Ghidra data types.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `T_32PBOOL08`
  16:32 near pointer to 8-bit boolean
  `static final short`
  `T_32PBOOL16`
  16:32 near pointer to 16-bit boolean
  `static final short`
  `T_32PBOOL32`
  16:32 near pointer to 32-bit boolean
  `static final short`
  `T_32PBOOL64`
  16:32 near pointer to 64-bit boolean
  `static final short`
  `T_32PCHAR`
  16:32 near pointer to 8-bit signed
  `static final short`
  `T_32PCPLX32`
  16:32 near pointer to 32-bit complex
  `static final short`
  `T_32PCPLX64`
  16:32 near pointer to 64-bit complex
  `static final short`
  `T_32PFBOOL08`
  16:32 far pointer to 8-bit boolean
  `static final short`
  `T_32PFBOOL16`
  16:32 far pointer to 16-bit boolean
  `static final short`
  `T_32PFBOOL32`
  16:32 far pointer to 32-bit boolean
  `static final short`
  `T_32PFBOOL64`
  16:32 far pointer to 64-bit boolean
  `static final short`
  `T_32PFCHAR`
  16:32 far pointer to 8-bit signed
  `static final short`
  `T_32PFCPLX32`
  16:32 far pointer to 32-bit complex
  `static final short`
  `T_32PFCPLX64`
  16:32 far pointer to 64-bit complex
  `static final short`
  `T_32PFINT2`
  16:32 far pointer to 16-bit signed short
  `static final short`
  `T_32PFINT4`
  16:32 far pointer to 32-bit signed short
  `static final short`
  `T_32PFINT8`
  16:32 far pointer to 64-bit signed
  `static final short`
  `T_32PFQUAD`
  16:32 far pointer to 64-bit signed
  `static final short`
  `T_32PFRCHAR`
  16:32 far pointer to a real char
  `static final short`
  `T_32PFREAL32`
  16:32 far pointer to 32-bit real
  `static final short`
  `T_32PFREAL64`
  16:32 far pointer to 64-bit real
  `static final short`
  `T_32PFSHORT`
  16:32 far pointer to 16-bit signed
  `static final short`
  `T_32PFUCHAR`
  16:32 far pointer to 8-bit unsigned
  `static final short`
  `T_32PFUINT2`
  16:32 far pointer to 16-bit unsigned short
  `static final short`
  `T_32PFUINT4`
  16:32 far pointer to 32-bit unsigned short
  `static final short`
  `T_32PFUINT8`
  16:32 far pointer to 64-bit unsigned
  `static final short`
  `T_32PFULONG`
  16:32 far pointer to 32-bit unsigned
  `static final short`
  `T_32PFUQUAD`
  16:32 far pointer to 64-bit unsigned
  `static final short`
  `T_32PFUSHORT`
  16:32 far pointer to 16-bit unsigned
  `static final short`
  `T_32PFVOID`
  32-bit far pointer to a void
  `static final short`
  `T_32PFWCHAR`
  16:32 far pointer to a wide char
  `static final short`
  `T_32PINT2`
  16:32 near pointer to 16-bit signed short
  `static final short`
  `T_32PINT4`
  16:32 near pointer to 32-bit signed short
  `static final short`
  `T_32PINT8`
  16:32 near pointer to 64-bit signed
  `static final short`
  `T_32PLONG`
  16:32 near pointer to 32-bit signed
  `static final short`
  `T_32PQUAD`
  16:32 near pointer to 64-bit signed
  `static final short`
  `T_32PRCHAR`
  16:32 near pointer to a real char
  `static final short`
  `T_32PREAL32`
  16:32 near pointer to 32-bit real
  `static final short`
  `T_32PREAL64`
  16:32 near pointer to 64-bit real
  `static final short`
  `T_32PSHORT`
  16:32 near pointer to 16-bit signed
  `static final short`
  `T_32PUCHAR`
  16:32 near pointer to 8-bit unsigned
  `static final short`
  `T_32PUINT2`
  16:32 near pointer to 16-bit unsigned short
  `static final short`
  `T_32PUINT4`
  16:32 near pointer to 32-bit unsigned short
  `static final short`
  `T_32PUINT8`
  16:32 near pointer to 64-bit unsigned
  `static final short`
  `T_32PULONG`
  16:32 near pointer to 32-bit unsigned
  `static final short`
  `T_32PUQUAD`
  16:32 near pointer to 64-bit unsigned
  `static final short`
  `T_32PUSHORT`
  16:32 near pointer to 16-bit unsigned
  `static final short`
  `T_32PVOID`
  32-bit near pointer to a void
  `static final short`
  `T_32PWCHAR`
  16:32 near pointer to a wide char
  `static final short`
  `T_ABS`
  Absolute symbol
  `static final short`
  `T_BIT`
  Bit
  `static final short`
  `T_BOOL08`
  8-bit boolean
  `static final short`
  `T_BOOL16`
  16-bit boolean
  `static final short`
  `T_BOOL32`
  32-bit boolean
  `static final short`
  `T_BOOL64`
  64-bit boolean
  `static final short`
  `T_CHAR`
  8-bit signed
  `static final short`
  `T_CPLX32`
  32-bit complex
  `static final short`
  `T_CPLX64`
  32-bit complex
  `static final short`
  `T_CURRENCY`
  Basic 8-byte currency value
  `static final short`
  `T_FBASICSTR`
  Far basic string
  `static final short`
  `T_HINSTANCE`
  HANDLE
  `static final short`
  `T_INT2`
  Real 16-bit signed short
  `static final short`
  `T_INT4`
  Real 32-bit signed short
  `static final short`
  `T_INT8`
  64-bit signed
  `static final short`
  `T_LONG`
  32-bit signed
  `static final short`
  `T_NBASICSTR`
  Near basic string
  `static final short`
  `T_NOTTRANS`
  Untranslated type record from Microsoft symbol format
  `static final short`
  `T_NOTYPE`
  Uncharacterized type (no type)
  `static final short`
  `T_P2PFLONG`
  16:32 far pointer to 32-bit signed
  `static final short`
  `T_PASCHAR`
  Pascal CHAR
  `static final short`
  `T_PBOOL08`
  Near pointer to 8-bit boolean
  `static final short`
  `T_PBOOL16`
  Near pointer to 16-bit boolean
  `static final short`
  `T_PBOOL32`
  Near pointer to 32-bit boolean
  `static final short`
  `T_PBOOL64`
  Near pointer to 64-bit boolean
  `static final short`
  `T_PCHAR`
  Near pointer to 8-bit signed
  `static final short`
  `T_PCPLX32`
  Near pointer to 32-bit complex
  `static final short`
  `T_PCPLX64`
  Near pointer to 64-bit complex
  `static final short`
  `T_PFBOOL08`
  Far Pointer to 8-bit boolean
  `static final short`
  `T_PFBOOL16`
  Far Pointer to 16-bit boolean
  `static final short`
  `T_PFBOOL32`
  Far Pointer to 32-bit boolean
  `static final short`
  `T_PFBOOL64`
  Far Pointer to 64-bit boolean
  `static final short`
  `T_PFCHAR`
  Far pointer to 8-bit signed
  `static final short`
  `T_PFCPLX32`
  Far pointer to 32-bit complex
  `static final short`
  `T_PFCPLX64`
  Far Pointer to 64-bit complex
  `static final short`
  `T_PFINT2`
  Far pointer to 16-bit signed short
  `static final short`
  `T_PFINT4`
  Far pointer to 32-bit signed short
  `static final short`
  `T_PFINT8`
  Far pointer to 64-bit signed
  `static final short`
  `T_PFLONG`
  Far pointer to 32-bit signed
  `static final short`
  `T_PFOID`
  Far pointer to a void
  `static final short`
  `T_PFQUAD`
  Far pointer to 64-bit signed
  `static final short`
  `T_PFRCHAR`
  Far pointer to a real char
  `static final short`
  `T_PFREAL32`
  Far pointer to 32-bit real
  `static final short`
  `T_PFREAL64`
  Far pointer to 64-bit real
  `static final short`
  `T_PFSHORT`
  Far pointer to16-bit signed
  `static final short`
  `T_PFUCHAR`
  Far pointer to 8-bit unsigned
  `static final short`
  `T_PFUINT2`
  Far point to 16-bit unsigned short
  `static final short`
  `T_PFUINT4`
  Far pointer to 32-bit unsigned short
  `static final short`
  `T_PFUINT8`
  Far pointer to 64-bit unsigned
  `static final short`
  `T_PFULONG`
  Far pointer to 32-bit unsigned
  `static final short`
  `T_PFUQUAD`
  Far pointer to 64-bit unsigned
  `static final short`
  `T_PFUSHORT`
  Far pointer to 16-bit unsigned
  `static final short`
  `T_PFWCHAR`
  far pointer to a wide char
  `static final short`
  `T_PHBOOL08`
  Huge pointer to 8-bit boolean
  `static final short`
  `T_PHBOOL16`
  Huge pointer to 16-bit boolean
  `static final short`
  `T_PHBOOL32`
  Huge pointer to 32-bit boolean
  `static final short`
  `T_PHBOOL64`
  Huge pointer to 64-bit boolean
  `static final short`
  `T_PHCHAR`
  Huge pointer to 8-bit signed
  `static final short`
  `T_PHCPLX32`
  Huge pointer to 32-bit complex
  `static final short`
  `T_PHCPLX64`
  Huge pointer to 64-bit complex
  `static final short`
  `T_PHINT2`
  Huge pointer to 16-bit signed short
  `static final short`
  `T_PHINT4`
  Huge pointer to 32-bit signed short
  `static final short`
  `T_PHINT8`
  Huge pointer to 64-bit signed
  `static final short`
  `T_PHLONG`
  Huge pointer to 32-bit signed
  `static final short`
  `T_PHQUAD`
  Huge pointer to 64-bit signed
  `static final short`
  `T_PHRCHAR`
  Huge pointer to a real char
  `static final short`
  `T_PHREAL32`
  Huge pointer to 32-bit real
  `static final short`
  `T_PHREAL64`
  Huge pointer to 64-bit real
  `static final short`
  `T_PHSHORT`
  Huge pointer to 16-bit signed
  `static final short`
  `T_PHUCHAR`
  Huge pointer to 8-bit unsigned
  `static final short`
  `T_PHUINT2`
  Huge pointer to 16-bit unsigned short
  `static final short`
  `T_PHUINT4`
  Huge pointer to 32-bit unsigned short
  `static final short`
  `T_PHUINT8`
  Huge pointer to 64-bit unsigned
  `static final short`
  `T_PHULONG`
  Huge pointer to 32-bit unsigned
  `static final short`
  `T_PHUQUAD`
  Huge pointer to 64-bit unsigned
  `static final short`
  `T_PHUSHORT`
  Huge pointer 16-bit unsigned
  `static final short`
  `T_PHVOID`
  Huge pointer to a VOID
  `static final short`
  `T_PHWCHAR`
  Huge pointer to a wide char
  `static final short`
  `T_PINT2`
  Near pointer to 16-bit signed short
  `static final short`
  `T_PINT4`
  Near pointer to 32-bit signed short
  `static final short`
  `T_PINT8`
  Near pointer to 64-bit signed
  `static final short`
  `T_PLONG`
  Near pointer to 32-bit signed
  `static final short`
  `T_PQUAD`
  Near pointer to 64-bit signed
  `static final short`
  `T_PRCHAR`
  Near pointer to a real char
  `static final short`
  `T_PREAL32`
  Near pointer to 32-bit real
  `static final short`
  `T_PREAL64`
  Near pointer to 64-bit real
  `static final short`
  `T_PSHORT`
  Near pointer to 16-bit signed
  `static final short`
  `T_PUCHAR`
  Near pointer to 8-bit unsigned
  `static final short`
  `T_PUINT2`
  Near pointer to 16-bit unsigned short
  `static final short`
  `T_PUINT4`
  Near pointer to 32-bit unsigned short
  `static final short`
  `T_PUINT8`
  Near Pointer to 64-bit unsigned
  `static final short`
  `T_PULONG`
  Near Pointer to 32-bit unsigned
  `static final short`
  `T_PUQUAD`
  Near pointer to 64-bit unsigned
  `static final short`
  `T_PUSHORT`
  Near pointer to 16-bit unsigned
  `static final short`
  `T_PVOID`
  Near Pointer to a void
  `static final short`
  `T_PWCHAR`
  Near pointer to a wide char
  `static final short`
  `T_QUAD`
  64-bit signed
  `static final short`
  `T_RCHAR`
  Real char
  `static final short`
  `T_REAL32`
  32-bit real
  `static final short`
  `T_REAL64`
  64-bit real
  `static final short`
  `T_SEGMENT`
  Segment Type
  `static final short`
  `T_SHORT`
  16-bit signed
  `static final short`
  `T_UCHAR`
  8-bit unsigned
  `static final short`
  `T_UINT2`
  Real 16-bit unsigned short
  `static final short`
  `T_UINT4`
  Real 32-bit unsigned short
  `static final short`
  `T_UINT8`
  64-bit unsigned
  `static final short`
  `T_ULONG`
  32-bit unsigned
  `static final short`
  `T_UQUAD`
  64-bit unsigned
  `static final short`
  `T_USHORT`
  16-bit unsigned
  `static final short`
  `T_VOID`
  VOID
  `static final short`
  `T_WCHAR`
  wide char

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrimitiveTypeListing()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataType`
  `getDataType(short type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### T_NOTYPE

    public static final short T_NOTYPE
    Uncharacterized type (no type)
    See Also:
      - Constant Field Values

  - ### T_ABS

    public static final short T_ABS
    Absolute symbol
    See Also:
      - Constant Field Values

  - ### T_SEGMENT

    public static final short T_SEGMENT
    Segment Type
    See Also:
      - Constant Field Values

  - ### T_VOID

    public static final short T_VOID
    VOID
    See Also:
      - Constant Field Values

  - ### T_PVOID

    public static final short T_PVOID
    Near Pointer to a void
    See Also:
      - Constant Field Values

  - ### T_PFOID

    public static final short T_PFOID
    Far pointer to a void
    See Also:
      - Constant Field Values

  - ### T_PHVOID

    public static final short T_PHVOID
    Huge pointer to a VOID
    See Also:
      - Constant Field Values

  - ### T_32PVOID

    public static final short T_32PVOID
    32-bit near pointer to a void
    See Also:
      - Constant Field Values

  - ### T_32PFVOID

    public static final short T_32PFVOID
    32-bit far pointer to a void
    See Also:
      - Constant Field Values

  - ### T_CURRENCY

    public static final short T_CURRENCY
    Basic 8-byte currency value
    See Also:
      - Constant Field Values

  - ### T_NBASICSTR

    public static final short T_NBASICSTR
    Near basic string
    See Also:
      - Constant Field Values

  - ### T_FBASICSTR

    public static final short T_FBASICSTR
    Far basic string
    See Also:
      - Constant Field Values

  - ### T_NOTTRANS

    public static final short T_NOTTRANS
    Untranslated type record from Microsoft symbol format
    See Also:
      - Constant Field Values

  - ### T_BIT

    public static final short T_BIT
    Bit
    See Also:
      - Constant Field Values

  - ### T_PASCHAR

    public static final short T_PASCHAR
    Pascal CHAR
    See Also:
      - Constant Field Values

  - ### T_CHAR

    public static final short T_CHAR
    8-bit signed
    See Also:
      - Constant Field Values

  - ### T_UCHAR

    public static final short T_UCHAR
    8-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PCHAR

    public static final short T_PCHAR
    Near pointer to 8-bit signed
    See Also:
      - Constant Field Values

  - ### T_PUCHAR

    public static final short T_PUCHAR
    Near pointer to 8-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PFCHAR

    public static final short T_PFCHAR
    Far pointer to 8-bit signed
    See Also:
      - Constant Field Values

  - ### T_PFUCHAR

    public static final short T_PFUCHAR
    Far pointer to 8-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PHCHAR

    public static final short T_PHCHAR
    Huge pointer to 8-bit signed
    See Also:
      - Constant Field Values

  - ### T_PHUCHAR

    public static final short T_PHUCHAR
    Huge pointer to 8-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_32PCHAR

    public static final short T_32PCHAR
    16:32 near pointer to 8-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PUCHAR

    public static final short T_32PUCHAR
    16:32 near pointer to 8-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_32PFCHAR

    public static final short T_32PFCHAR
    16:32 far pointer to 8-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PFUCHAR

    public static final short T_32PFUCHAR
    16:32 far pointer to 8-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_RCHAR

    public static final short T_RCHAR
    Real char
    See Also:
      - Constant Field Values

  - ### T_PRCHAR

    public static final short T_PRCHAR
    Near pointer to a real char
    See Also:
      - Constant Field Values

  - ### T_PFRCHAR

    public static final short T_PFRCHAR
    Far pointer to a real char
    See Also:
      - Constant Field Values

  - ### T_PHRCHAR

    public static final short T_PHRCHAR
    Huge pointer to a real char
    See Also:
      - Constant Field Values

  - ### T_32PRCHAR

    public static final short T_32PRCHAR
    16:32 near pointer to a real char
    See Also:
      - Constant Field Values

  - ### T_32PFRCHAR

    public static final short T_32PFRCHAR
    16:32 far pointer to a real char
    See Also:
      - Constant Field Values

  - ### T_WCHAR

    public static final short T_WCHAR
    wide char
    See Also:
      - Constant Field Values

  - ### T_PWCHAR

    public static final short T_PWCHAR
    Near pointer to a wide char
    See Also:
      - Constant Field Values

  - ### T_PFWCHAR

    public static final short T_PFWCHAR
    far pointer to a wide char
    See Also:
      - Constant Field Values

  - ### T_PHWCHAR

    public static final short T_PHWCHAR
    Huge pointer to a wide char
    See Also:
      - Constant Field Values

  - ### T_32PWCHAR

    public static final short T_32PWCHAR
    16:32 near pointer to a wide char
    See Also:
      - Constant Field Values

  - ### T_32PFWCHAR

    public static final short T_32PFWCHAR
    16:32 far pointer to a wide char
    See Also:
      - Constant Field Values

  - ### T_INT2

    public static final short T_INT2
    Real 16-bit signed short
    See Also:
      - Constant Field Values

  - ### T_UINT2

    public static final short T_UINT2
    Real 16-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_PINT2

    public static final short T_PINT2
    Near pointer to 16-bit signed short
    See Also:
      - Constant Field Values

  - ### T_PUINT2

    public static final short T_PUINT2
    Near pointer to 16-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_PFINT2

    public static final short T_PFINT2
    Far pointer to 16-bit signed short
    See Also:
      - Constant Field Values

  - ### T_PFUINT2

    public static final short T_PFUINT2
    Far point to 16-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_PHINT2

    public static final short T_PHINT2
    Huge pointer to 16-bit signed short
    See Also:
      - Constant Field Values

  - ### T_PHUINT2

    public static final short T_PHUINT2
    Huge pointer to 16-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_32PINT2

    public static final short T_32PINT2
    16:32 near pointer to 16-bit signed short
    See Also:
      - Constant Field Values

  - ### T_32PUINT2

    public static final short T_32PUINT2
    16:32 near pointer to 16-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_32PFINT2

    public static final short T_32PFINT2
    16:32 far pointer to 16-bit signed short
    See Also:
      - Constant Field Values

  - ### T_32PFUINT2

    public static final short T_32PFUINT2
    16:32 far pointer to 16-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_SHORT

    public static final short T_SHORT
    16-bit signed
    See Also:
      - Constant Field Values

  - ### T_USHORT

    public static final short T_USHORT
    16-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PSHORT

    public static final short T_PSHORT
    Near pointer to 16-bit signed
    See Also:
      - Constant Field Values

  - ### T_PUSHORT

    public static final short T_PUSHORT
    Near pointer to 16-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PFSHORT

    public static final short T_PFSHORT
    Far pointer to16-bit signed
    See Also:
      - Constant Field Values

  - ### T_PFUSHORT

    public static final short T_PFUSHORT
    Far pointer to 16-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PHSHORT

    public static final short T_PHSHORT
    Huge pointer to 16-bit signed
    See Also:
      - Constant Field Values

  - ### T_PHUSHORT

    public static final short T_PHUSHORT
    Huge pointer 16-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_32PSHORT

    public static final short T_32PSHORT
    16:32 near pointer to 16-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PUSHORT

    public static final short T_32PUSHORT
    16:32 near pointer to 16-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_32PFSHORT

    public static final short T_32PFSHORT
    16:32 far pointer to 16-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PFUSHORT

    public static final short T_32PFUSHORT
    16:32 far pointer to 16-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_INT4

    public static final short T_INT4
    Real 32-bit signed short
    See Also:
      - Constant Field Values

  - ### T_UINT4

    public static final short T_UINT4
    Real 32-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_PINT4

    public static final short T_PINT4
    Near pointer to 32-bit signed short
    See Also:
      - Constant Field Values

  - ### T_PUINT4

    public static final short T_PUINT4
    Near pointer to 32-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_PFINT4

    public static final short T_PFINT4
    Far pointer to 32-bit signed short
    See Also:
      - Constant Field Values

  - ### T_PFUINT4

    public static final short T_PFUINT4
    Far pointer to 32-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_PHINT4

    public static final short T_PHINT4
    Huge pointer to 32-bit signed short
    See Also:
      - Constant Field Values

  - ### T_PHUINT4

    public static final short T_PHUINT4
    Huge pointer to 32-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_32PINT4

    public static final short T_32PINT4
    16:32 near pointer to 32-bit signed short
    See Also:
      - Constant Field Values

  - ### T_32PUINT4

    public static final short T_32PUINT4
    16:32 near pointer to 32-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_32PFINT4

    public static final short T_32PFINT4
    16:32 far pointer to 32-bit signed short
    See Also:
      - Constant Field Values

  - ### T_32PFUINT4

    public static final short T_32PFUINT4
    16:32 far pointer to 32-bit unsigned short
    See Also:
      - Constant Field Values

  - ### T_LONG

    public static final short T_LONG
    32-bit signed
    See Also:
      - Constant Field Values

  - ### T_ULONG

    public static final short T_ULONG
    32-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PLONG

    public static final short T_PLONG
    Near pointer to 32-bit signed
    See Also:
      - Constant Field Values

  - ### T_PULONG

    public static final short T_PULONG
    Near Pointer to 32-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PFLONG

    public static final short T_PFLONG
    Far pointer to 32-bit signed
    See Also:
      - Constant Field Values

  - ### T_PFULONG

    public static final short T_PFULONG
    Far pointer to 32-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PHLONG

    public static final short T_PHLONG
    Huge pointer to 32-bit signed
    See Also:
      - Constant Field Values

  - ### T_PHULONG

    public static final short T_PHULONG
    Huge pointer to 32-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_32PLONG

    public static final short T_32PLONG
    16:32 near pointer to 32-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PULONG

    public static final short T_32PULONG
    16:32 near pointer to 32-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_P2PFLONG

    public static final short T_P2PFLONG
    16:32 far pointer to 32-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PFULONG

    public static final short T_32PFULONG
    16:32 far pointer to 32-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_INT8

    public static final short T_INT8
    64-bit signed
    See Also:
      - Constant Field Values

  - ### T_UINT8

    public static final short T_UINT8
    64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PINT8

    public static final short T_PINT8
    Near pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_PUINT8

    public static final short T_PUINT8
    Near Pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PFINT8

    public static final short T_PFINT8
    Far pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_PFUINT8

    public static final short T_PFUINT8
    Far pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PHINT8

    public static final short T_PHINT8
    Huge pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_PHUINT8

    public static final short T_PHUINT8
    Huge pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_32PINT8

    public static final short T_32PINT8
    16:32 near pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PUINT8

    public static final short T_32PUINT8
    16:32 near pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_32PFINT8

    public static final short T_32PFINT8
    16:32 far pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PFUINT8

    public static final short T_32PFUINT8
    16:32 far pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_QUAD

    public static final short T_QUAD
    64-bit signed
    See Also:
      - Constant Field Values

  - ### T_UQUAD

    public static final short T_UQUAD
    64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PQUAD

    public static final short T_PQUAD
    Near pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_PUQUAD

    public static final short T_PUQUAD
    Near pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PFQUAD

    public static final short T_PFQUAD
    Far pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_PFUQUAD

    public static final short T_PFUQUAD
    Far pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_PHQUAD

    public static final short T_PHQUAD
    Huge pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_PHUQUAD

    public static final short T_PHUQUAD
    Huge pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_32PQUAD

    public static final short T_32PQUAD
    16:32 near pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PUQUAD

    public static final short T_32PUQUAD
    16:32 near pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_32PFQUAD

    public static final short T_32PFQUAD
    16:32 far pointer to 64-bit signed
    See Also:
      - Constant Field Values

  - ### T_32PFUQUAD

    public static final short T_32PFUQUAD
    16:32 far pointer to 64-bit unsigned
    See Also:
      - Constant Field Values

  - ### T_REAL32

    public static final short T_REAL32
    32-bit real
    See Also:
      - Constant Field Values

  - ### T_PREAL32

    public static final short T_PREAL32
    Near pointer to 32-bit real
    See Also:
      - Constant Field Values

  - ### T_PFREAL32

    public static final short T_PFREAL32
    Far pointer to 32-bit real
    See Also:
      - Constant Field Values

  - ### T_PHREAL32

    public static final short T_PHREAL32
    Huge pointer to 32-bit real
    See Also:
      - Constant Field Values

  - ### T_32PREAL32

    public static final short T_32PREAL32
    16:32 near pointer to 32-bit real
    See Also:
      - Constant Field Values

  - ### T_32PFREAL32

    public static final short T_32PFREAL32
    16:32 far pointer to 32-bit real
    See Also:
      - Constant Field Values

  - ### T_REAL64

    public static final short T_REAL64
    64-bit real
    See Also:
      - Constant Field Values

  - ### T_PREAL64

    public static final short T_PREAL64
    Near pointer to 64-bit real
    See Also:
      - Constant Field Values

  - ### T_PFREAL64

    public static final short T_PFREAL64
    Far pointer to 64-bit real
    See Also:
      - Constant Field Values

  - ### T_PHREAL64

    public static final short T_PHREAL64
    Huge pointer to 64-bit real
    See Also:
      - Constant Field Values

  - ### T_32PREAL64

    public static final short T_32PREAL64
    16:32 near pointer to 64-bit real
    See Also:
      - Constant Field Values

  - ### T_32PFREAL64

    public static final short T_32PFREAL64
    16:32 far pointer to 64-bit real
    See Also:
      - Constant Field Values

  - ### T_CPLX32

    public static final short T_CPLX32
    32-bit complex
    See Also:
      - Constant Field Values

  - ### T_PCPLX32

    public static final short T_PCPLX32
    Near pointer to 32-bit complex
    See Also:
      - Constant Field Values

  - ### T_PFCPLX32

    public static final short T_PFCPLX32
    Far pointer to 32-bit complex
    See Also:
      - Constant Field Values

  - ### T_PHCPLX32

    public static final short T_PHCPLX32
    Huge pointer to 32-bit complex
    See Also:
      - Constant Field Values

  - ### T_32PCPLX32

    public static final short T_32PCPLX32
    16:32 near pointer to 32-bit complex
    See Also:
      - Constant Field Values

  - ### T_32PFCPLX32

    public static final short T_32PFCPLX32
    16:32 far pointer to 32-bit complex
    See Also:
      - Constant Field Values

  - ### T_CPLX64

    public static final short T_CPLX64
    32-bit complex
    See Also:
      - Constant Field Values

  - ### T_PCPLX64

    public static final short T_PCPLX64
    Near pointer to 64-bit complex
    See Also:
      - Constant Field Values

  - ### T_PFCPLX64

    public static final short T_PFCPLX64
    Far Pointer to 64-bit complex
    See Also:
      - Constant Field Values

  - ### T_PHCPLX64

    public static final short T_PHCPLX64
    Huge pointer to 64-bit complex
    See Also:
      - Constant Field Values

  - ### T_32PCPLX64

    public static final short T_32PCPLX64
    16:32 near pointer to 64-bit complex
    See Also:
      - Constant Field Values

  - ### T_32PFCPLX64

    public static final short T_32PFCPLX64
    16:32 far pointer to 64-bit complex
    See Also:
      - Constant Field Values

  - ### T_BOOL08

    public static final short T_BOOL08
    8-bit boolean
    See Also:
      - Constant Field Values

  - ### T_BOOL16

    public static final short T_BOOL16
    16-bit boolean
    See Also:
      - Constant Field Values

  - ### T_BOOL32

    public static final short T_BOOL32
    32-bit boolean
    See Also:
      - Constant Field Values

  - ### T_BOOL64

    public static final short T_BOOL64
    64-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PBOOL08

    public static final short T_PBOOL08
    Near pointer to 8-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PBOOL16

    public static final short T_PBOOL16
    Near pointer to 16-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PBOOL32

    public static final short T_PBOOL32
    Near pointer to 32-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PBOOL64

    public static final short T_PBOOL64
    Near pointer to 64-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PFBOOL08

    public static final short T_PFBOOL08
    Far Pointer to 8-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PFBOOL16

    public static final short T_PFBOOL16
    Far Pointer to 16-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PFBOOL32

    public static final short T_PFBOOL32
    Far Pointer to 32-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PFBOOL64

    public static final short T_PFBOOL64
    Far Pointer to 64-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PHBOOL08

    public static final short T_PHBOOL08
    Huge pointer to 8-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PHBOOL16

    public static final short T_PHBOOL16
    Huge pointer to 16-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PHBOOL32

    public static final short T_PHBOOL32
    Huge pointer to 32-bit boolean
    See Also:
      - Constant Field Values

  - ### T_PHBOOL64

    public static final short T_PHBOOL64
    Huge pointer to 64-bit boolean
    See Also:
      - Constant Field Values

  - ### T_32PBOOL08

    public static final short T_32PBOOL08
    16:32 near pointer to 8-bit boolean
    See Also:
      - Constant Field Values

  - ### T_32PBOOL16

    public static final short T_32PBOOL16
    16:32 near pointer to 16-bit boolean
    See Also:
      - Constant Field Values

  - ### T_32PBOOL32

    public static final short T_32PBOOL32
    16:32 near pointer to 32-bit boolean
    See Also:
      - Constant Field Values

  - ### T_32PBOOL64

    public static final short T_32PBOOL64
    16:32 near pointer to 64-bit boolean
    See Also:
      - Constant Field Values

  - ### T_32PFBOOL08

    public static final short T_32PFBOOL08
    16:32 far pointer to 8-bit boolean
    See Also:
      - Constant Field Values

  - ### T_32PFBOOL16

    public static final short T_32PFBOOL16
    16:32 far pointer to 16-bit boolean
    See Also:
      - Constant Field Values

  - ### T_32PFBOOL32

    public static final short T_32PFBOOL32
    16:32 far pointer to 32-bit boolean
    See Also:
      - Constant Field Values

  - ### T_32PFBOOL64

    public static final short T_32PFBOOL64
    16:32 far pointer to 64-bit boolean
    See Also:
      - Constant Field Values

  - ### T_HINSTANCE

    public static final short T_HINSTANCE
    HANDLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PrimitiveTypeListing

    public PrimitiveTypeListing()

- ## Method Details

  - ### getDataType

    public static DataType getDataType(short type)